Subject: Re[2]: cygwin1.dll [1.3.11(CVS)]: Changes since 06/19 snapshot cause page fault in kernel32.dll
From: Pavel Tsekov <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 20 Jun 2002 18:34:12 +0200

Hello Corinna,

Thursday, June 20, 2002, 6:23:24 PM, you wrote:

CV> On Thu, Jun 20, 2002 at 05:57:58PM +0200, Pavel Tsekov wrote:
>> With CYGWIN_SLEEP I was able to attach before the crash occures. Here
>> is a backtrace from gdb:
>> 
>> Program received signal SIGSEGV, Segmentation fault.
>> 0x61093419 in MTinterface::Init (this=0x610f8000, forked=0)
>>     at ../../../../cygwin-snapshot/winsup/cygwin/thread.cc:296
>> 296       mainthread.win32_obj_id = myself->hProcess;
>> 
>> The problem is that operator -> (myself->) returns NULL.

CV> Weird.  It works "for me" (tm).  I've tried running some
CV> console processes, rxvt and I'm just logged in via sshd.
CV> Nothing strange happens.  I've build current cvs HEAD from
CV> scratch.

Mine is built from source wich is patched every time a new diff is
posted on the snapshots page. I can send you a dll if you wish.
Mmm I think this doesn't matter, but who knows - I'm using the test
version of binutils 20020616-1.

Btw I can try only from windows command prompt because as it seems I
cannot start any cygwin app right now.

I'm investigating atm, so stay tuned for more info :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/